javax.validation.constraints

## Enum Pattern.Flag

- java.lang.Object
- - java.lang.Enum<Pattern.Flag>
  - - javax.validation.constraints.Pattern.Flag

- All Implemented Interfaces:
    Serializable, Comparable<Pattern.Flag>
  Enclosing class:
    Pattern

      public static enum Pattern.Flag
      extends Enum<Pattern.Flag>

  Possible Regexp flags.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CANON_EQ` Enables canonical equivalence.
    `CASE_INSENSITIVE` Enables case-insensitive matching.
    `COMMENTS` Permits whitespace and comments in pattern.
    `DOTALL` Enables dotall mode.
    `MULTILINE` Enables multiline mode.
    `UNICODE_CASE` Enables Unicode-aware case folding.
    `UNIX_LINES` Enables Unix lines mode.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static Pattern.Flag` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Pattern.Flag[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNIX_LINES

          public static final Pattern.Flag UNIX_LINES

      Enables Unix lines mode.
      See Also:
        `Pattern.UNIX_LINES`

    - #### CASE_INSENSITIVE

          public static final Pattern.Flag CASE_INSENSITIVE

      Enables case-insensitive matching.
      See Also:
        `Pattern.CASE_INSENSITIVE`

    - #### COMMENTS

          public static final Pattern.Flag COMMENTS

      Permits whitespace and comments in pattern.
      See Also:
        `Pattern.COMMENTS`

    - #### MULTILINE

          public static final Pattern.Flag MULTILINE

      Enables multiline mode.
      See Also:
        `Pattern.MULTILINE`

    - #### DOTALL

          public static final Pattern.Flag DOTALL

      Enables dotall mode.
      See Also:
        `Pattern.DOTALL`

    - #### UNICODE_CASE

          public static final Pattern.Flag UNICODE_CASE

      Enables Unicode-aware case folding.
      See Also:
        `Pattern.UNICODE_CASE`

    - #### CANON_EQ

          public static final Pattern.Flag CANON_EQ

      Enables canonical equivalence.
      See Also:
        `Pattern.CANON_EQ`

  - ### Method Detail

    - #### values

          public static Pattern.Flag[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Pattern.Flag c : Pattern.Flag.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Pattern.Flag valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        flag value as defined in `Pattern`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.